Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Protected Member Functions | List of all members
eZ\Publish\Core\REST\Server\Input\Parser\ContentQuery Class Reference

Parser for ViewInput. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Input\Parser\ContentQuery:

## Protected Member Functions
| buildQuery ()
| Builds and returns the Query (Location or Content object). More...
Protected Member Functions inherited from eZ\Publish\Core\REST\Server\Input\Parser\Criterion
| getCriterionMediaType ($criterionName)
| getSortClauseMediaType ($sortClauseName)
| getFacetBuilderMediaType ($facetBuilderName)

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\Core\REST\Server\Input\Parser\Query
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parses input structure to a Query. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Server\Input\Parser\Criterion
| dispatchCriterion ($criterionName, $criterionData, ParsingDispatcher $parsingDispatcher)
| Dispatches parsing of a criterion name + data to its own parser. More...
| dispatchFacetBuilder ($facetBuilderName, $facetBuilderData, ParsingDispatcher $parsingDispatcher)
| Dispatches parsing of a facet builder name + data to its own parser. More...
| dispatchSortClause ($sortClauseName, $direction, ParsingDispatcher $parsingDispatcher)
| Dispatches parsing of a sort clause name + direction to its own parser. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser
Static Protected Attributes inherited from eZ\Publish\Core\REST\Server\Input\Parser\Criterion
static | $criterionIdMap

## Detailed Description

Parser for ViewInput.

Definition at line 15 of file ContentQuery.php.

## Member Function Documentation

## ◆ buildQuery()

eZ\Publish\Core\REST\Server\Input\Parser\ContentQuery::buildQuery | ( |  | ) |
| protected

Builds and returns the Query (Location or Content object).

Returns
  \eZ\Publish\API\Repository\Values\Content\Query

Reimplemented from eZ\Publish\Core\REST\Server\Input\Parser\Query.

Definition at line 17 of file ContentQuery.php.

The documentation for this class was generated from the following file:

- ContentQuery.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.